# tbb::flow::interface6::sender< T > Class Template Reference

Pure virtual template class that defines a sender of messages of type T. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface6::sender< T >:

List of all members.

## Public Types
typedef T | output_type
| The output type of this sender.
typedef receiver< T > | successor_type
| The successor type for this node.
## Public Member Functions
virtual bool | register_successor (successor_type &r)=0
| Add a new successor to this node.
virtual bool | remove_successor (successor_type &r)=0
| Removes a successor from this node.
virtual bool | try_get (T &)
| Request an item from the sender.
virtual bool | try_reserve (T &)
| Reserves an item in the sender.
virtual bool | try_release ()
| Releases the reserved item.
virtual bool | try_consume ()
| Consumes the reserved item.

## Detailed Description

### template<typename T>
class tbb::flow::interface6::sender< T >

Pure virtual template class that defines a sender of messages of type T.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.